## gogglesmm 0.12.3

=== Makefile ===
#-----------------------------------------------------------
# GOGGLES BUILD SYSTEM
#-----------------------------------------------------------
#
# The actual make file
#
#-----------------------------------------------------------

include config.make
include build/version

# Set suffixes
.SUFFIXES:
.SUFFIXES: .cpp .h .gif .png $(OBJEXT) $(BINEXT) $(LIBEXT)

.PHONY : all clean realclean cleanicons install install-desktop

INSTALL=install


# Convert to Platform specific names
#----------------------------------------------------------
BINNAME=src/gogglesmm$(BINEXT)    						# XXX on Linux, X.exe on Windows

# Installation Directory
ifdef DESTDIR
INSTALL_DIR=$(DESTDIR)$(PREFIX)
INSTALL_LOCALEDIR=$(DESTDIR)$(LOCALEDIR)
INSTALL_MANDIR=$(DESTDIR)$(MANDIR)
else
INSTALL_DIR=$(PREFIX)
INSTALL_LOCALEDIR=$(LOCALEDIR)
INSTALL_MANDIR=$(MANDIR)
endif

all: $(BINNAME)
TARNAME=gogglesmm-$(MAJOR).$(MINOR).$(LEVEL)

ICONS := icons/cursor_hand.gif \
icons/about.png \
icons/gogglesmm_16.png \
icons/gogglesmm_32.png

# Objects to Compile
#----------------------------------------------------------
SRCFILES := src/fxext.cpp \
src/GMAbout.cpp \
src/GMAnimImage.cpp \
src/GMApp.cpp \
src/GMAudioScrobbler.cpp \
src/GMClipboard.cpp \
src/GMColumnDialog.cpp \
src/GMDatabase.cpp \
src/GMDatabaseSource.cpp \
src/GMFetch.cpp \
src/GMFilename.cpp \
src/GMFontDialog.cpp \
src/GMImageView.cpp \
src/GMEQDialog.cpp \
src/GMIconTheme.cpp \
src/GMImportDialog.cpp \
src/GMList.cpp \
src/GMPlayer.cpp \
src/GMPlayerManager.cpp \
src/GMPlayListSource.cpp \
src/GMPreferences.cpp \
src/GMPreferencesDialog.cpp \
src/GMQuery.cpp \
src/GMRemote.cpp \
src/GMSearch.cpp \
src/GMSource.cpp \
src/GMSourceView.cpp \
src/GMTag.cpp \
src/GMThread.cpp \
src/GMTrackDatabase.cpp \
src/GMTrackList.cpp \
src/GMTrackItem.cpp \
src/GMTrackView.cpp \
src/GMTrayIcon.cpp \
src/GMStreamSource.cpp \
src/GMURL.cpp \
src/GMWindow.cpp \
src/main.cpp \
src/gmutils.cpp \
src/icons.cpp

ifneq (,$(findstring md5,$(OPTIONS)))
	SRCFILES += src/md5.cpp
endif

ifneq (,$(findstring fox16,$(OPTIONS)))
	SRCFILES += src/GMMessageChannel.cpp
endif

ifneq (,$(findstring dbus,$(OPTIONS)))
	SRCFILES += src/GMDBus.cpp \
	src/GMNotifyDaemon.cpp \
	src/GMMediaPlayerService.cpp \
	src/GMSettingsDaemon.cpp
endif

OBJECTS := $(patsubst %.cpp,%$(OBJEXT),$(SRCFILES))
DEPENDENCIES = $(patsubst %.cpp,%.d,$(SRCFILES))

$(BINNAME): $(OBJECTS)
	@echo "    Linking $@ ..."
#	@echo "$(LINK) $(LDFLAGS) $(OUTPUTBIN)$(BINNAME) $(OBJECTS) $(LIBS)"
	@$(LINK) $(LDFLAGS) $(OUTPUTBIN)$(BINNAME) $(OBJECTS) $(LIBS)

%$(OBJEXT):	%.cpp
	@echo "    Compiling $< ..."
#	@echo "$(CXX) $(CFLAGS) $(DEFS) $(CPPFLAGS) -MM -o $*.d -MT $@ $<"
	@$(CXX) $(CFLAGS) $(DEFS) $(CPPFLAGS) -MM -o $*.d -MT $@ $<
#	@echo "$(CXX) $(CFLAGS) $(DEFS) $(CPPFLAGS) $(OUTPUTOBJ)$@ -c $<"
	@$(CXX) $(CFLAGS) $(DEFS) $(CPPFLAGS) $(OUTPUTOBJ)$@ -c $<

ifneq (,$(findstring dbus,$(OPTIONS)))

src/gogglesmm_xml.h: src/gogglesmm.xml
	@echo "    Creating src/gogglesmm_xml.h..."
	@$(RESWRAP_TEXT) -o $@ src/gogglesmm.xml

src/mpris_xml.h:  src/mpris_root.xml src/mpris_player.xml src/mpris_tracklist.xml
	@echo "    Creating src/mpris_xml.h..."
	@$(RESWRAP_TEXT) -o $@ src/mpris_root.xml src/mpris_player.xml src/mpris_tracklist.xml

endif

$(OBJECTS): src/icons.h src/icons.cpp

src/icons.h: $(ICONS)
	@echo "    Creating Icon Resource Header"
	@$(RESWRAP_H) -o $@ $(ICONS)

src/icons.cpp: $(ICONS)
	@echo "    Creating Icon Resources"
	@$(RESWRAP_CPP) -o $@ $(ICONS)

ifneq (,$(findstring dbus,$(OPTIONS)))
src/GMPlayerManager.cpp: src/gogglesmm_xml.h
src/GMMediaPlayerService.cpp: src/mpris_xml.h
endif


TRANSLATIONS:=$(basename $(notdir $(wildcard po/*.mo)))
LINGUAS?=$(TRANSLATIONS)


# Install
#----------------------------------------------------------
install: $(BINNAME)
	@echo "    Installing $(INSTALL_DIR)/bin/gogglesmm ..."
	@$(INSTALL) -m 755 -D src/gogglesmm $(INSTALL_DIR)/bin/gogglesmm
	@echo "    Installing $(INSTALL_DIR)/share/applications/gogglesmm.desktop"
	@$(INSTALL) -m 644 -D extra/gogglesmm.desktop $(INSTALL_DIR)/share/applications/gogglesmm.desktop
	@echo "    Installing Icons"
	$(INSTALL) -m 644 -D icons/gogglesmm_16.png $(INSTALL_DIR)/share/icons/hicolor/16x16/apps/gogglesmm.png
	$(INSTALL) -m 644 -D extra/gogglesmm_22.png $(INSTALL_DIR)/share/icons/hicolor/22x22/apps/gogglesmm.png
	$(INSTALL) -m 644 -D extra/gogglesmm_24.png $(INSTALL_DIR)/share/icons/hicolor/24x24/apps/gogglesmm.png
	$(INSTALL) -m 644 -D icons/gogglesmm_32.png $(INSTALL_DIR)/share/icons/hicolor/32x32/apps/gogglesmm.png
	$(INSTALL) -m 644 -D extra/gogglesmm_48.png $(INSTALL_DIR)/share/icons/hicolor/48x48/apps/gogglesmm.png
	$(INSTALL) -m 644 -D extra/gogglesmm.svg $(INSTALL_DIR)/share/icons/hicolor/scalable/apps/gogglesmm.svg
	@echo "    Installing $(INSTALL_MANDIR)/man1/gogglesmm.1"
	@$(INSTALL) -m 644 -D extra/gogglesmm.1 $(INSTALL_MANDIR)/man1/gogglesmm.1
ifneq (,$(findstring nls,$(OPTIONS)))
	@echo "    Installing Translations"
	@linguas='$(filter $(TRANSLATIONS),$(LINGUAS))'; \
	for tr in $$linguas ; do \
    echo "    Installing $(INSTALL_LOCALEDIR)/$$tr/LC_MESSAGES/gogglesmm.mo" ;\
  	$(INSTALL) -m 644 -D po/$$tr.mo -T $(INSTALL_LOCALEDIR)/$$tr/LC_MESSAGES/gogglesmm.mo ; \
	done;
endif

# Clean
#----------------------------------------------------------
clean :
	@echo "    Remove Executables ..."
	@rm -f $(BINNAME)

	@echo "    Remove Objects ..."
	@rm -f src/*$(OBJEXT)
	@rm -f src/*.d
	@echo "    Remove Generated Files ..."
	@rm -f src/icons.cpp
	@rm -f src/icons.h
	@rm -f src/gogglesmm_xml.h
	@rm -f src/mpris_xml.h
#----------------------------------------------------------

realclean :
	@echo "    Remove Configuration ..."
	@rm -f config.make
	@rm -f src/gmconfig.h

dist: clean realclean
	sh build/makemo
	rm po/fi.mo
	rsvg-convert -w 22  extra/gogglesmm.svg -o extra/gogglesmm_22.png
	rsvg-convert -w 24  extra/gogglesmm.svg -o extra/gogglesmm_24.png
	rsvg-convert -w 48  extra/gogglesmm.svg -o extra/gogglesmm_48.png
	@echo " Creating Tarbals .."
	tar --create --xz --file='../../$(TARNAME).tar.xz' --verbose --exclude-vcs --exclude='*.tar.xz' --transform='s/^./$(TARNAME)/' --show-transformed-names .
	tar --create --bzip2 --file='../../$(TARNAME).tar.bz2' --verbose --exclude-vcs --exclude='*.tar.bz2' --transform='s/^./$(TARNAME)/' --show-transformed-names .

# Clean Icons
#----------------------------------------------------------
cleanicons :
	@rm -f src/icons.*
	@rm -f src/icons.*
#----------------------------------------------------------

# How to make everything else
-include $(DEPENDENCIES)

=== debian/changelog ===
gogglesmm (0.12.3-1) unstable; urgency=low

  * New upstream release

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Sun, 21 Aug 2011 23:51:45 +0200

gogglesmm (0.12.2-9) unstable; urgency=low

  * Updated copyright file.
  * Fixed lintian warnings.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Thu, 14 Jul 2011 20:21:27 +0200

gogglesmm (0.12.2-8) unstable; urgency=low

  * Manpage installation added.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Wed, 13 Jul 2011 13:58:47 +0200

gogglesmm (0.12.2-7) unstable; urgency=low

  * Initial release (Closes: #633668)
  * Fixed lintian warnings.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Tue, 12 Jul 2011 19:18:40 +0200

gogglesmm (0.12.2-6) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Updated copyright file.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Tue, 12 Jul 2011 17:17:20 +0200

gogglesmm (0.12.2-5) unstable; urgency=low

  * Further cleanups added.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Fri, 10 Jun 2011 13:24:33 +0200

gogglesmm (0.12.2-4) unstable; urgency=low

  * Build cleanup fixed.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Fri, 10 Jun 2011 13:16:25 +0200

gogglesmm (0.12.2-3) unstable; urgency=low

  * Source packing error fixed.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Fri, 10 Jun 2011 13:04:14 +0200

gogglesmm (0.12.2-2) unstable; urgency=low

  * Fixed lintian warnings. 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Fri, 10 Jun 2011 12:31:18 +0200

gogglesmm (0.12.2-1) unstable; urgency=low

  * New upstream release

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Thu, 09 Jun 2011 14:40:26 +0200

gogglesmm (0.12.1-1) unstable; urgency=low

  * New upstream release 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Mon, 07 Mar 2011 15:38:17 +0100

gogglesmm (0.10.24-4) unstable; urgency=low

  * Menu fixed 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Sat, 10 Jul 2010 15:06:21 +0200

gogglesmm (0.10.24-3) unstable; urgency=low

  * Menu fixed 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Sat, 10 Jul 2010 14:40:28 +0200

gogglesmm (0.10.24-2) unstable; urgency=low

  * Menu fixed 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Fri, 09 Jul 2010 16:14:55 +0200

gogglesmm (0.10.24-1) unstable; urgency=low

  * New upstream release
  * musicmanager renamed to gogglesmm
  * Ported patch for internal TagLib to gogglesmm 0.10.24

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Fri, 09 Jul 2010 15:17:35 +0200

musicmanager (0.10.22-1) unstable; urgency=low

  * New upstream release 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Thu, 13 May 2010 12:27:36 +0200

musicmanager (0.10.19-1) unstable; urgency=low

  * New upstream release 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Sat, 20 Mar 2010 15:32:26 +0100

musicmanager (0.10.17-2) unstable; urgency=low

  * Force removal of deprecated musicmanager-tray. 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Mon, 25 Jan 2010 20:47:52 +0100

musicmanager (0.10.17-1) unstable; urgency=low

  * New upstream release 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Mon, 25 Jan 2010 20:27:55 +0100

musicmanager (0.10.13-1) unstable; urgency=low

  * New upstream release 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Thu, 10 Dec 2009 16:10:20 +0100

musicmanager (0.10.11-1) unstable; urgency=low

  * New upstream release 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Sun, 22 Nov 2009 11:06:59 +0100

musicmanager (0.10.9-1) unstable; urgency=low

  * New upstream release 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Wed, 28 Oct 2009 18:28:08 +0100

musicmanager (0.10.7-1) unstable; urgency=low

  * New upstream release 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Wed, 02 Sep 2009 21:44:46 +0200

musicmanager (0.10.5-1) unstable; urgency=low

  * New upstream release

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Tue, 28 Jul 2009 15:03:12 +0200

musicmanager (0.10.3-1) unstable; urgency=low

  * New upstream release 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Fri, 19 Jun 2009 17:16:57 +0200

musicmanager (0.10.2-1) unstable; urgency=low

  * New upstream release 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Sat, 06 Jun 2009 16:26:31 +0200

musicmanager (0.10.1-1) unstable; urgency=low

  * New upstream release 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Wed, 03 Jun 2009 14:00:13 +0200

musicmanager (0.10.0-2) unstable; urgency=low

  * Backport of a tray icon bugfix from svn 

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Tue, 02 Jun 2009 12:22:41 +0200

musicmanager (0.10.0-1) unstable; urgency=low

  * New upstream release

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Sun, 31 May 2009 22:17:53 +0200

musicmanager (0.9.18-2) unstable; urgency=low

  * Switched to dpatch for patching
  * Included tray icon support as additional package

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Mon, 16 Mar 2009 20:48:11 +0100

musicmanager (0.9.18-1) unstable; urgency=low

  * New upstream release

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Tue, 25 Nov 2008 19:19:31 +0100

musicmanager (0.9.16-1) unstable; urgency=low

  * New upstream release

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Mon, 24 Nov 2008 11:16:36 +0100

musicmanager (0.9.15-2) unstable; urgency=low

  * Debian menu fix

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Wed, 17 Sep 2008 17:53:20 +0200

musicmanager (0.9.15-1) unstable; urgency=low

  * Initial release

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Sat, 16 Aug 2008 00:17:28 +0200

=== debian/control ===
Source: gogglesmm
Section: sound
Priority: extra
Maintainer: Hendrik Rittich <hendrik.rittich@gmx.de>
Homepage: http://code.google.com/p/gogglesmm/
Build-Depends: debhelper (>= 7), libdbus-1-dev, libtag1-dev,
    libfox-1.6-dev, libxrandr-dev, libxine-dev,
    libsqlite3-dev (>= 3.4), libbz2-dev,
    libdbus-glib-1-dev, libcurl4-openssl-dev,
    imagemagick
Standards-Version: 3.9.2

Package: gogglesmm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Goggles Music Manager
 Goggles Music Manager is a music collection manager and player that 
 automatically categorizes your music files based on genre, artist, 
 album, and song. It supports gapless playback and features easy tag 
 editing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.make: configure
	dh_testdir
	# create pkg-config file
	sh fox-pkg-config.sh > fox.pc
	# Add here commands to configure the package.
	PKG_CONFIG_PATH=".:$$PKG_CONFIG_PATH" \
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: build-stamp
build-arch: build-stamp
build-indep: build-stamp

build-stamp: config.make
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/musicmanager.sgml > musicmanager.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	# Add here commands to clean up after the build process.
	# 
	# We can only clean up after a configure
	if [ -e config.make ]; then $(MAKE) clean; fi
	
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/musicmanager.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	
	# Create XPM Icon
	mkdir -p $(CURDIR)/debian/tmp/usr/share/pixmaps/
	convert $(CURDIR)/icons/gogglesmm_32.png $(CURDIR)/debian/tmp/usr/share/pixmaps/gogglesmm.xpm

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep \
	binary-arch binary install

## gogglesmm 0.12.4

=== debian/changelog ===
gogglesmm (0.12.4-4) unstable; urgency=low

  * Removed optimization flags that are not avaiable on all platforms
    (-march=native)

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Tue, 25 Oct 2011 11:57:44 +0200

gogglesmm (0.12.4-3) unstable; urgency=low

  * Fixex lintian warnings.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Thu, 13 Oct 2011 18:33:29 +0200

gogglesmm (0.12.4-2) unstable; urgency=low

  * Removed unnecessary patch.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Thu, 13 Oct 2011 18:16:16 +0200

gogglesmm (0.12.4-1) unstable; urgency=low

  * New upstream release

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Thu, 13 Oct 2011 17:47:59 +0200

## gogglesmm 0.12.6

=== debian/changelog ===
gogglesmm (0.12.6-1) unstable; urgency=low

  * New upstream release
  * Closes: #656902
  * Does not link against libcurl anymore, closes: #668178

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Sun, 19 Feb 2012 17:47:35 +0100

gogglesmm (0.12.5-1) unstable; urgency=low

  * New upstream release
  * Removed README.source, because it only contained deprecated information
    about dpatch.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Wed, 21 Dec 2011 20:02:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Build-Depends: debhelper (>= 7), libdbus-1-dev, libtag1-dev,
     libfox-1.6-dev, libxrandr-dev, libxine-dev,
     libsqlite3-dev (>= 3.4), libbz2-dev,
-    libdbus-glib-1-dev, libcurl4-openssl-dev,
-    imagemagick
+    libdbus-glib-1-dev, imagemagick
 Standards-Version: 3.9.2
 
 Package: gogglesmm

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	sh fox-pkg-config.sh > fox.pc
 	# Add here commands to configure the package.
 	PKG_CONFIG_PATH=".:$$PKG_CONFIG_PATH" \
+	OPT_CFLAGS="-O3 -fstack-protector" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

## gogglesmm 0.12.7

=== Makefile ===
--- 
+++ 
@@ -82,6 +82,9 @@
 src/GMWindow.cpp \
 src/main.cpp \
 src/gmutils.cpp \
+src/ap_buffer.cpp \
+src/ap_http.cpp \
+src/ap_xml_parser.cpp \
 src/icons.cpp
 
 ifneq (,$(findstring md5,$(OPTIONS)))

=== debian/changelog ===
gogglesmm (0.12.7-3build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:26:15 +0000

gogglesmm (0.12.7-3build1) wily; urgency=medium

  * No change rebuild for libtag1v5

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 23 Aug 2015 16:10:21 -0500

gogglesmm (0.12.7-3) unstable; urgency=medium

  * Added dependency libgcrypt20-dev, closes: #746097
  * Updated to standards version 3.9.5
  * Fixed watchfile.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Fri, 02 May 2014 14:39:32 +0200

gogglesmm (0.12.7-2) unstable; urgency=low

  * Changed dependencies from libxine-dev to libxine2-dev, closes: #724762
  * Recommends the installation of libxine2-plugins such that common audio
    codecs and backends are available.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Fri, 27 Sep 2013 21:40:51 +0200

gogglesmm (0.12.7-1) unstable; urgency=low

  * New upstream release, closes: #697587
  * Updated build dependencies
  * Added the use of buildflags.mk
  * Removed unnecessary commands from debian/rules
  * Updated to standards 3.9.4
  * Copyright file now points to the correct format URL
  * Switched from fox-config to pkg-config

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Sun, 16 Dec 2012 11:52:31 +0100

=== debian/control ===
Source: gogglesmm
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hendrik Rittich <hendrik.rittich@gmx.de>
Homepage: http://gogglesmm.github.io/
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~),
    libdbus-1-dev, libtag1-dev, libgcrypt20-dev,
    libfox-1.6-dev, libxrandr-dev, libxine2-dev,
    libsqlite3-dev (>= 3.4), libbz2-dev, imagemagick
Standards-Version: 3.9.5

Package: gogglesmm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libxine2-plugins
Description: Goggles Music Manager
 Goggles Music Manager is a music collection manager and player that 
 automatically categorizes your music files based on genre, artist, 
 album, and song. It supports gapless playback and features easy tag 
 editing.

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
https://github.com/gogglesmm/gogglesmm/releases \
    .*/gogglesmm/archive/(.*)\.tar\.gz \
    debian uupdate
